Foxit PDF SDK

Class Methods | List of all members
FSCombination Class Reference
Inheritance diagram for FSCombination:

## Class Methods
(FSProgressive *) | + startCombineDocuments:document_array:options:pause:
| Start to combine PDF files. More...
(FSProgressive *) | + startCombineDocumentsWithWriterCallback:document_array:options:pause:
| Start to combine PDF files. More...

## Detailed Description

This class can be used to combine several PDF files into one PDF file.

## Method Documentation

## ◆ startCombineDocuments:document_array:options:pause:()

+ (FSProgressive *) startCombineDocuments: |  | (NSString *) | dest_file_path
document_array: |  | (FSCombineDocumentInfoArray*) | document_array
options: |  | (unsigned int) | options
pause: |  | (id<FSPauseCallback>) | pause

Start to combine PDF files.

It may take a long time to combining documents, so Foxit PDF SDK uses a progressive process to do this. This function does not support to combine XFA document.

Parameters

  [in] | dest_file_path | A full path to save the combined result PDF file. This should not be an empty string.
  [in] | document_array | An information array which represents information of source PDF files which are to be combined.
  [in] | options | Options for combining PDF documents. Please refer to values starting from FSCombinationCombineDocsOptionBookmark and this can be one or a combination of these values. 0 means no option is used.
  [in] | pause | Pause object which decides if the combining process needs to be paused. This can be nil which means not to pause during the parsing process. If this is not nil, it should be a valid pause object implemented by user. Default value: nil.

Returns
  A progressive object. Please check the rate of current progress by function FSProgressive::getRateOfProgress. If the rate is not 100 yet, call function FSProgressive::resume to continue the progress until the progress is finished.

## ◆ startCombineDocumentsWithWriterCallback:document_array:options:pause:()

+ (FSProgressive *) startCombineDocumentsWithWriterCallback: |  | (id<FSFileWriterCallback>) | dest_file
document_array: |  | (FSCombineDocumentInfoArray*) | document_array
options: |  | (unsigned int) | options
pause: |  | (id<FSPauseCallback>) | pause

Start to combine PDF files.

It may take a long time to combining documents, so Foxit PDF SDK uses a progressive process to do this. This function does not support to combine XFA document.

Parameters

  [in] | dest_file | A FSFileWriterCallback object which is implemented by user to store the data of combined result PDF file in custom method.
  [in] | document_array | An information array which represents information of source PDF files which are to be combined.
  [in] | options | Options for combining PDF documents. Please refer to values starting from FSCombinationCombineDocsOptionBookmark and this can be one or a combination of these values. 0 means no option is used.
  [in] | pause | Pause object which decides if the combining process needs to be paused. This can be nil which means not to pause during the parsing process. If this is not nil, it should be a valid pause object implemented by user. Default value: nil.

Returns
  A progressive object. Please check the rate of current progress by function FSProgressive::getRateOfProgress. If the rate is not 100 yet, call function FSProgressive::resume to continue the progress until the progress is finished.